Bug 95900 - MAINTAINER UPDATE: news/klibido version upgrade
Summary: MAINTAINER UPDATE: news/klibido version upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-16 23:40 UTC by Conrad J. Sabatier
Modified: 2013-03-17 04:25 UTC (History)
0 users

See Also:


Attachments
klibido.diff (1.95 KB, patch)
2006-04-16 23:40 UTC, Conrad J. Sabatier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad J. Sabatier 2006-04-16 23:40:12 UTC
	Upgrade news/klibido port from 0.2.4.1 to latest version 0.2.5,
	bump database lib dependency to db44, add handling of NOPORTDOCS

	NOTE TO COMMITTER(S): Even after checking the Porter's Handbook, I 
	have no idea how to generate different packing lists based on the 
	NOPORTDOCS variable.  The method I used for installing the docs 
	(or not) is really pretty kludgey.  Please feel free to make any 
	corrections you see fit.  In fact, I'd be very interested to see 
	the "canonical" way of handling this.  :-)

	The doc files are (in the port-created directory 
	${PREFIX}/share/doc/HTML/en/klibido):

	${PREFIX}/share/doc/HTML/en/klibido/common (symlink to 
		${PREFIX}/share/doc/HTML/en/common)
	${PREFIX}/share/doc/HTML/en/klibido/index.cache.bz2
	${PREFIX}/share/doc/HTML/en/klibido/index.docbook

	Thanks.

How-To-Repeat: 	N/A
Comment 1 Volker Stolz freebsd_committer 2006-05-09 08:42:12 UTC
State Changed
From-To: open->closed

Committed, thanks! 
As to your question: use %%PORTDOCS%% in the plist from PLIST_SUB, 
or PORTDOCS/DOCSDIR in the Makefile.